POST V1/Inventory.{ext}/AccountSavingsData?pageIndex={pageIndex}&pageSize={pageSize}

This API used to get data of that client

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

Indicates how many records to skip.(Ex:-1)

integer

Default value is 0

pageSize

TIndicates number of records to be returned.(Ex:-10)

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

account

EMS.Inventory.Entities.Account
NameDescriptionTypeAdditional information
AccountId

Account Id is a unique alphanumeric Ex: 065458059131

string

None.

AccountNumber

Account Number is a unique alphanumeric Ex: 065458059131

string

None.

AccountName

Account Name of site Ex: 118

string

None.

AccountStatus

Account Status of site Ex : 1

string

None.

SiteNumber

A unique alphanumeric (combination of alphabets and numbers) code given to identify a Site of a Client/Partner. Ex: 4250 Groves Rd. Building - Groves Storage Facility

string

None.

SiteName

A unique alphanumeric (combination of alphabets and numbers) name given to identify a Site of a Client/Partner. Ex: Cedar Street Transition House

string

None.

VendorNumber

A unique Number Vendor Number of Account Ex :132

string

None.

VendorName

Vendor Name of Account Ex: MARSHALL SONS FUEL OIL, INC.

string

None.

AccountAddress

Address of account Ex: 930 E Grafton Rd,FAIRMONT,WV,USA,26554-4437

string

None.

SiteGroup

Site Group of account Ex: UHG

string

None.

UtilityProviderAddress

Utility Provider Address of account Ex: 930 E Grafton Rd,FAIRMONT,WV,USA,26554-4437

string

None.

RemitAddress

Remit Address of account Ex: 930 E Grafton Rd,FAIRMONT,WV,USA,26554-4437

string

None.

BillingCycle

It is the duration in days between the Bill Dates of any two consecutive bills generated for any Commodity/Utility Ex: Monthly

string

None.

OldAccountNumber

A unique alphanumeric Old Account Number of account Ex: 9970107844

string

None.

Address1

Address of account Ex :930 E Grafton Rd,FAIRMONT,WV,USA,26554-4437

string

None.

Address2

Address of account Ex :930 E Grafton Rd,FAIRMONT,WV,USA,26554-4437

string

None.

City

City of account Ex:AZ

string

None.

State

State of account Ex : OR

string

None.

Country

Country of account US

string

None.

Pobox

Post box of account Ex:354545

string

None.

ZIP

ZIP of account Ex:3543545

string

None.

Utility

A Utility is a public Commodity that refers to any service that is provided to the public for consumption Ex: ELECTRIC

string

None.

DeviceName

Device Name of account Ex: 118D EP OSIT

string

None.

EffectiveDate

Account Start date Effective Date of account

string

None.

ExpirationDate

Account End date Expiration Date of account

string

None.

ServiceType

Service Type

string

None.

AccountCategory

Account Category

string

None.

Latitude

Site Latitude Details. Ex: 20.593684

string

None.

Longitude

Site Longitude Details. Ex: 78.962880

string

None.

PaymentNetTerm

Payment Net Term Ex: 0

string

None.

BuildingDetails

Building Details Ex: 0

string

None.

SiteAddress

Site Address Ex: 0

string

None.

SiteId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "accountId": "sample string 1",
  "accountNumber": "sample string 2",
  "accountName": "sample string 3",
  "accountStatus": "sample string 4",
  "siteNumber": "sample string 5",
  "siteName": "sample string 6",
  "vendorNumber": "sample string 7",
  "vendorName": "sample string 8",
  "accountAddress": "sample string 9",
  "siteGroup": "sample string 10",
  "utilityProviderAddress": "sample string 11",
  "remitAddress": "sample string 12",
  "billingCycle": "sample string 13",
  "oldAccountNumber": "sample string 14",
  "address1": "sample string 15",
  "address2": "sample string 16",
  "city": "sample string 17",
  "state": "sample string 18",
  "country": "sample string 19",
  "pobox": "sample string 20",
  "zip": "sample string 21",
  "utility": "sample string 22",
  "deviceName": "sample string 23",
  "effectiveDate": "sample string 24",
  "expirationDate": "sample string 25",
  "serviceType": "sample string 26",
  "accountCategory": "sample string 27",
  "latitude": "sample string 28",
  "longitude": "sample string 29",
  "paymentNetTerm": "sample string 30",
  "buildingDetails": "sample string 31",
  "siteAddress": "sample string 32",
  "siteId": 1
}

application/xml, text/xml

Sample:
<Account xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AccountAddress>sample string 9</AccountAddress>
  <AccountCategory>sample string 27</AccountCategory>
  <AccountId>sample string 1</AccountId>
  <AccountName>sample string 3</AccountName>
  <AccountNumber>sample string 2</AccountNumber>
  <AccountStatus>sample string 4</AccountStatus>
  <Address1>sample string 15</Address1>
  <Address2>sample string 16</Address2>
  <BillingCycle>sample string 13</BillingCycle>
  <BuildingDetails>sample string 31</BuildingDetails>
  <City>sample string 17</City>
  <Country>sample string 19</Country>
  <DeviceName>sample string 23</DeviceName>
  <EffectiveDate>sample string 24</EffectiveDate>
  <ExpirationDate>sample string 25</ExpirationDate>
  <Latitude>sample string 28</Latitude>
  <Longitude>sample string 29</Longitude>
  <OldAccountNumber>sample string 14</OldAccountNumber>
  <PaymentNetTerm>sample string 30</PaymentNetTerm>
  <Pobox>sample string 20</Pobox>
  <RemitAddress>sample string 12</RemitAddress>
  <ServiceType>sample string 26</ServiceType>
  <SiteAddress>sample string 32</SiteAddress>
  <SiteGroup>sample string 10</SiteGroup>
  <SiteId>1</SiteId>
  <SiteName>sample string 6</SiteName>
  <SiteNumber>sample string 5</SiteNumber>
  <State>sample string 18</State>
  <Utility>sample string 22</Utility>
  <UtilityProviderAddress>sample string 11</UtilityProviderAddress>
  <VendorName>sample string 8</VendorName>
  <VendorNumber>sample string 7</VendorNumber>
  <ZIP>sample string 21</ZIP>
</Account>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.Accounts
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.Accounts

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Accounts",
  "response": {
    "accountList": [
      {
        "accountId": "sample string 1",
        "accountNumber": "sample string 2",
        "accountName": "sample string 3",
        "accountStatus": "sample string 4",
        "siteNumber": "sample string 5",
        "siteName": "sample string 6",
        "vendorNumber": "sample string 7",
        "vendorName": "sample string 8",
        "accountAddress": "sample string 9",
        "siteGroup": "sample string 10",
        "utilityProviderAddress": "sample string 11",
        "remitAddress": "sample string 12",
        "billingCycle": "sample string 13",
        "oldAccountNumber": "sample string 14",
        "address1": "sample string 15",
        "address2": "sample string 16",
        "city": "sample string 17",
        "state": "sample string 18",
        "country": "sample string 19",
        "pobox": "sample string 20",
        "zip": "sample string 21",
        "utility": "sample string 22",
        "deviceName": "sample string 23",
        "effectiveDate": "sample string 24",
        "expirationDate": "sample string 25",
        "serviceType": "sample string 26",
        "accountCategory": "sample string 27",
        "latitude": "sample string 28",
        "longitude": "sample string 29",
        "paymentNetTerm": "sample string 30",
        "buildingDetails": "sample string 31",
        "siteAddress": "sample string 32",
        "siteId": 1
      },
      {
        "accountId": "sample string 1",
        "accountNumber": "sample string 2",
        "accountName": "sample string 3",
        "accountStatus": "sample string 4",
        "siteNumber": "sample string 5",
        "siteName": "sample string 6",
        "vendorNumber": "sample string 7",
        "vendorName": "sample string 8",
        "accountAddress": "sample string 9",
        "siteGroup": "sample string 10",
        "utilityProviderAddress": "sample string 11",
        "remitAddress": "sample string 12",
        "billingCycle": "sample string 13",
        "oldAccountNumber": "sample string 14",
        "address1": "sample string 15",
        "address2": "sample string 16",
        "city": "sample string 17",
        "state": "sample string 18",
        "country": "sample string 19",
        "pobox": "sample string 20",
        "zip": "sample string 21",
        "utility": "sample string 22",
        "deviceName": "sample string 23",
        "effectiveDate": "sample string 24",
        "expirationDate": "sample string 25",
        "serviceType": "sample string 26",
        "accountCategory": "sample string 27",
        "latitude": "sample string 28",
        "longitude": "sample string 29",
        "paymentNetTerm": "sample string 30",
        "buildingDetails": "sample string 31",
        "siteAddress": "sample string 32",
        "siteId": 1
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.